Bug 740267 - closing window leaves empathy running with no way to open window again
Summary: closing window leaves empathy running with no way to open window again
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: empathy
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 13:47 UTC by Charles R. Anderson
Modified: 2013-02-13 09:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 09:05:17 UTC


Attachments (Terms of Use)

Description Charles R. Anderson 2011-09-21 13:47:39 UTC
Description of problem:

Under gnome-shell launching empathy pops up the buddy list and works fine until you click the close box on the window.  Then the window closes but doesn't go anywhere obvious where you can try to open/unminimize it again.  Additionally, if you try to run another copy of empathy, nothing happens because the first copy still has a running process.

Version-Release number of selected component (if applicable):
empathy-3.1.92-1.fc16.x86_64
gnome-shell-3.1.91-2.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1. From gnome-terminal, type empathy
2. If necessary, go through new account wizard to create accounts and log in
3. Click the Close Box on the buddy list window
4. Try to find the window to unminimize it

Actual results:

This shows up in the terminal right after launching empathy:
>empathy
Gtk-Message: Failed to load module "pk-gtk-module"

Then, after closing the window and trying to launch a new copy of empathy from a different terminal, this shows up in the original terminal:

(empathy:3517): Gtk-CRITICAL **: gtk_tree_path_compare: assertion `b->depth > 0' failed

(empathy:3517): Gtk-CRITICAL **: gtk_tree_path_compare: assertion `b->depth > 0' failed

No window is to be found anywhere, although the original empathy process is still running.  Eventually, after a few minutes that original empathy process segfaults and this appears on the terminal:

(empathy:3517): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GtkWindow'

** (empathy:3517): CRITICAL **: empathy_window_present_with_time: assertion `GTK_IS_WINDOW (window)' failed

(empathy:3517): GLib-GObject-WARNING **: instance with invalid (NULL) class pointer

(empathy:3517): GLib-GObject-CRITICAL **: g_signal_handlers_destroy: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
Segmentation fault (core dumped)

Expected results:

Not sure, maybe it should show up in the gnome-shell notification area or as an icon in the top bar?

Additional info:

These gnome-shell extension packages are installed:

gnome-shell-extension-alternate-tab-3.1.91-2.fc16.noarch
gnome-shell-extension-alternative-status-menu-3.1.91-2.fc16.noarch
gnome-shell-extension-common-3.1.91-2.fc16.noarch
gnome-shell-extension-cpu-temperature-0-0.1.git712153f.fc16.noarch
gnome-shell-extension-places-menu-3.1.91-2.fc16.noarch
gnome-shell-extension-presentation-mode-0-0.2.gitc3ce6b2.fc16.noarch

Only these gnome-shell extensions are enabled:

> gsettings list-recursively | grep enabled-extensions
org.gnome.shell enabled-extensions ['places-menu@gnome-shell-extensions.gnome.org', 'temperature@xtranophilist', 'presentationmode@ampad.de']

Comment 1 Fedora End Of Life 2013-01-16 10:24:13 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2013-02-13 09:05:19 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.